sylware / nyanlinux (public) (License: AFFERO GPLv3) (since 2019-09-09) (hash sha1)
scripts for a lean, from scratch, amd hardware, linux distro

/builders/linux-amd/release.sh (b2065529c7603febe3c57b5cb7f41eab80a1ece2) (2834 bytes) (mode 100755) (type blob)

#!/bin/sh
printf "RELEASE.SH -- START\n" >&2
# OUTPUT ON STDOUT THE KERNEL RELEASE
nyan_root=$1
linux_config=$2
patched_linux_dir=$3

if test -z "$nyan_root"; then
	printf 'ERROR:missing nyan root\n' >&2
	exit 1
else
	printf "using nyan_root \"$nyan_root\"\n" >&2
fi
if test -z "$linux_config"; then
	printf 'ERROR:missing linux_config\n' >&2
	exit 1
else
	printf "using linux_config \"$linux_config\"\n" >&2
fi
if test ! -d "$patched_linux_dir"; then
	printf 'ERROR:missing patched linux directory\n' >&2
	exit 1
else
	printf "using patched linux directory \"$patched_linux_dir\"\n" >&2
fi

. $nyan_root/conf.sh
. $nyan_root/utils.sh

cleanup()
{
	if test -e /bin/bash.HIDDEN; then
		mv /bin/bash.HIDDEN /bin/bash >&2
	fi
	if test $false_installed; then
		rm -f /bin/false >&2
	fi
	if test $bracket_installed; then
		rm -f '/bin/[' >&2
	fi
	rmdir /bin || true >&2
	printf "RELEASE.SH -- END\n" >&2
} 
trap cleanup EXIT
################################################################################
if test -e /bin/bash;then
	mv /bin/bash /bin/bash.HIDDEN >&2
fi
mkdir -p /bin >&2
export PATH="\
/nyan/toolchains/current/bin:\
/nyan/make/current/bin:\
/nyan/flex/current/bin:\
/nyan/bison/current/bin:\
$PATH\
"
target_gnu_triple=$(basename "$(ls -d /nyan/toolchains/current/bin/*-gcc)")
target_gnu_triple=${target_gnu_triple%-gcc}
# linux sdk wants direct sh invocation
if ! command -v sh >/dev/null 2>/dev/null; then
	printf 'no direct invocation of sh found, linux SDK will fail, exiting\n' >&2
	exit 1;
fi
# linux sdk wants false in /bin
if test ! -x /bin/false; then
	printf 'you are missing the false utility in /bin, using the one in PATH\n' >&2
	find_in_path false
	if test ! $r; then
		printf 'no false utility found in PATH, linux SDK will fail, exiting\n' >&2
		exit 1
	fi
	printf 'linking %s to /bin/false, will be removed on exiting\n' $r >&2
	ln -sf $r /bin/false >&2
	false_installed=1
fi
# linux sdk wants [ in /bin
if test ! -x '/bin/['; then
	printf 'you are missing the "[" utility in /bin, using "test" in PATH\n' >&2
	find_in_path test
	if test ! $r; then
		printf 'no test utility found in PATH, linux SDK will fail, exiting\n' >&2
		exit 1
	fi
	printf 'linking %s to /bin/[, will be removed on exiting\n' $r >&2
	ln -sf $r '/bin/[' >&2
	bracket_installed=1
fi
export "KCONFIG_CONFIG=$linux_config"
export "HOSTCC=$target_gnu_triple-gcc"
export "HOSTCFLAGS=-isystem /nyan/glibc/current/include -isystem /nyan/linux-headers/current/include -O2 -pipe -fPIC -static-libgcc"
export "HOSTLDFLAGS=-B/nyan/glibc/current/lib -L/nyan/glibc/current/lib -static-libgcc"
export ARCH=x86_64
export CROSS_COMPILE=$target_gnu_triple-
cd $patched_linux_dir
# HOSTCC environment variable seems ignored, overridding the makefile variable
make oldconfig "HOSTCC=$HOSTCC" >&2
make -s kernelrelease "HOSTCC=$HOSTCC"
make clean >&2


Mode Type Size Ref File
100644 blob 5 8eba6c8dd4dcaf6166bd22285ed34625f38a84ff .gitignore
100755 blob 1587 57fa4264b9ee0ae0a6f678f2527a05d3b22dda78 00-bootstrap-build.sh
100755 blob 848 a30f443bf405d56682efe3b4c5d3a19d5f7eb45d 01-re-bootstrap-build.sh
100644 blob 2142 f19c2d6b293244bb11a3f74ee77c10675cadc7d6 INSTALL
100644 blob 30 c9b735fa1332286f4b3f5f81fa10527fd7506b6e LICENSE
040000 tree - 427eec4d856a73b66dc557a301ee130cf835eae5 builders
100644 blob 1773 ef1551089a803bde37e36edc8d61bb819d06f793 conf.bootstrap.sh
100644 blob 479 8cc15efe46965ac7750fe304460f5a2b0aa4201c conf.sh
040000 tree - abe51c4b35f2de094a78c14c4b57de03a4561d22 files
100755 blob 356 8fb8be28ac72f7214b59934b9f74a682665f2d32 pkg-build
100644 blob 22800641 e9e6291054c857401f6835c728f31541dae4311e steam.tar.bz2
100644 blob 173 2047af328b22f9d146585cd9e759edbc18122250 utils.sh
040000 tree - 8e23f551092a35f82b37129dd08c35c4d313c17b x64
040000 tree - b7a22de7f5cbd97650dd45412ef7d4246e395eb8 x86
Hints:
Before first commit, do not forget to setup your git environment:
git config --global user.name "your_name_here"
git config --global user.email "your@email_here"

Clone this repository using HTTP(S):
git clone https://rocketgit.com/user/sylware/nyanlinux

Clone this repository using ssh (do not forget to upload a key first):
git clone ssh://rocketgit@ssh.rocketgit.com/user/sylware/nyanlinux

Clone this repository using git:
git clone git://git.rocketgit.com/user/sylware/nyanlinux

You are allowed to anonymously push to this repository.
This means that your pushed commits will automatically be transformed into a merge request:
... clone the repository ...
... make some changes and some commits ...
git push origin main